/******************************************************************************
 *                                                                         
 *               (C) COPYRIGHT Pacific MindWorks, Inc. 2001-2005
 *                          All rights reserved.
 *
 *****************************************************************************/

#ifndef __NTLIOPROVIDERCUSTOM_INCLUDED
#define __NTLIOPROVIDERCUSTOM_INCLUDED

#include <stdarg.h>
#include <atlrx.h>
#include "ntlutil.h"

///////////////////////////////////////////////////////////////////////////////
//	CCustomIOProvider

class CCustomIOProvider :
	public CDriverIOProvider
{
public:
	virtual HRESULT ioprvInitializeIOProvider(long lInitializationCookie) = 0;
	virtual long ioprvGetInitializationCookie() const = 0;
	virtual IOProviderType ioprvGetIOProviderType();
};

inline IOProviderType CCustomIOProvider::ioprvGetIOProviderType()
{
	return CustomIOProvider;
}

#endif // __NTLIOPROVIDERCUSTOM_INCLUDED
